---
layout: layouts/base.njk
title: Nathan Upchurch | Changelog
structuredData: none
---
# Changelog
* 2025-04-19
	* Improve post list image sizing on mobile.
* 2025-04-08
	* Updated the [index page](/) with a new "navigator" feature, and removed the post lists for a cleaner look.
	* On the individual [tag](/tags/) pages: got rid of the big RSS logo, tweaked the text a little, added a "subscribe" button, and moved the buttons above the post list.
	* Updated the [colophon](/about/colophon/).
* 2025-04-03
	* Added [Graphic Rage with Aubrey Hirsch](https://aubreyhirsch.substack.com/) and [Usermag](https://www.usermag.co/) to the [blogroll](/blogroll).
* 2025-03-28
	* Updated header on [/tags/](/tags/).
* 2025-03-27
	* Added [Adam Silver](https://adamsilver.io/) to the [blogroll](/blogroll).
* 2025-03-20
	* Added a bunch of design blogs to the [blogroll](/blogroll).
* 2025-03-12
	* Removed [Kevin Drum's blog](https://jabberwocking.com/) from the [blogroll](/blogroll) in light of [his passing](https://jabberwocking.com/health-update-100/) on the seventh of March, 2025. Rest in peace, Kevin.
* 2025-03-11
	* Updated [/wish](/wish).
* 2025-02-21
	* Updated [/wish](/wish) again as my mum bought me some incense sticks for my birthday.
* 2025-02-20
	* Updated [/wish](/wish).
* 2025-02-17
	* Added [Incense Apprentice](https://incenseapprentice.substack.com) to the [blogroll](/blogroll).
* 2025-02-11
	* Add [Signal](https://signal.me/#eu/j-om4cfsGXtfKo0UX28EQfEL_Gd1KpJr8nQpI9Smhdsb-r98eT5F6obQ1BcYZCcW) to [/me](/me).
	* Remove [Loops](https://loops.video/) from [/me](/me).
* 2025-02-06
	* Add [Friendica profile](https://friendica.world/profile/nathan) to [/me](/me).
	* Deprecate cowsay of the day.
* 2025-02-04
	* Re-implement support for Open Graph and Twitter Card metadata because [I'm an idiot](https://github.com/mastodon/mastodon/issues/33812#issuecomment-2635441141) and didn't realize that you can't use the `<meta>` tag for images and there appears to be no officially supported way to do this except for appropriating the mechanism reserved for app icons and favicons.
* 2025-02-02
	* Implement [quiz features](/quizzes/) and add [first quiz](/quizzes/how-much-of-a-linux-nerd-are-you/).
* 2025-02-01
	* Remove support for Open Graph and Twitter Card metadata because A. bloat, and B. screw Musk and Zuck.
	* Add "image" meta tag for all pages, using either the image specified for the page / post, or my smiling face as a default.
	* Fix issue with metadata output on gallery image pages.
	* Stopped bundling CSS and injecting it into pages as I was sick of 1,000 lines of CSS on *every single page* (My build times are now a third of what they were).
* 2025-01-31
	* Update the copyright notice in the footer.
* 2025-1-29
	* Add [The Contrarian](https://contrarian.substack.com/) to the [blogroll](/blogroll).
* 2025-1-24
	* Add buttons / update [/now/](/now/).
* 2025-1-23 - Simplify, simplify, simplify
	* Styling updates to text, figures, and post lists
	* Removed Mastodon comment embedding in favor of a simple button.
	* Removed "Read Next / Read Previous" cards beneath articles.
	* Prettier date formatting throughout.
* 2025-1-13
	* Added [Popular Information](https://popular.info/) to the [blogroll](/blogroll).
* 2024-12-16
	* Update PeerTube instance on [/me](/me).
* 2024-12-15
	* Added a link to site stats on the [privacy](/about/privacy) page.
	* Added [Uncloseted Media](https://www.unclosetedmedia.com/) to the [blogroll](/blogroll).
* 2024-12-14
	* Implemented [/wish](/ai) a la [taylor.town/wish-manifesto](https://taylor.town/wish-manifesto).
	* Added [Dom Corriveau](https://blog.ctms.me/) to the [blogroll](/blogroll).
* 2024-12-11
	* Removed [Inverse](https://www.inverse.com/) from the [blogroll](/blogroll) due to excessive and annoying Amazon affiliate link articles.
	* Added [Aftermath](https://aftermath.site/) to the [blogroll](/blogroll).
	* Implemented [/changelog](/changelog) 🎉.
	* Implemented [/ai](/ai) a la [slashai.page](https://slashai.page/).

