---
title: Moving is Hard, Porches are the Best
description: Moving, sitting on the porch, washing dishes like my forebears, and caving to peer pressure.
synopsis: Moving, sitting on the porch, washing dishes like my forebears, and caving to peer pressure.
date: 2024-10-06
imageURL: /img/soap.webp
imageAlt: A close-up of a packaged block of soap, reading&#58; Marseille Soap, to cut, with olive oil.
---
About a month ago I moved just up the street, so to speak. The last time I moved, I had the cash to hire movers, but this September it was down to me and whatever poor saps I could cajole into helping in exchange for a warm fuzzy feeling. I will remain eternally grateful for my good friend and business partner Davey's help in making numerous van runs, as well as driving the U-Haul and schlepping numerous awkward and heavy containers and objects up a very tight flight of stairs, and I owe endless thanks to my partner Sol for helping me get everything arranged and organized. Oh, and in addition to being a first-rate moving helper, Davey also has a new album out; if you're in the market for a new punk record with album artwork designed by yours truly, you can [grab a copy here](https://daveydynamite.bandcamp.com/album/in-memory).

## What's this new place like, then?
I've realized that for the past few years, my lifestyle has been neck and neck with my means. Lord knows it's [hard enough for the average American tax-payer to put anything by for a rainy day](https://www.gobankingrates.com/banking/banks/how-much-money-do-americans-have-in-their-bank-accounts-in-2024/), but the ability to pay off debt and save money is of particular importance to me as my partner and I are desperate to move back to my home-country of Scotland, which has made it nigh-on impossible for anyone but the wealthy to bring a non-citizen spouse into the country due to UK immigration policy falling victim to the spittle-flecked anti-immigrant ravings of certain English politicians. All this to say, the new place is a bit of a downgrade.

The story of *why* this place is so affordable is more than I care to inflict on the public at large, but suffice it to say that I recently ordered one of those little scraper handles with a bundle of bright orange plastic razor-blades. Cleanup aside, I'm having to make some adjustments. In the U.S., people tend to look at you with horror when you tell them that you don't have a shower at home, but I've been rather enjoying the cast iron claw-foot tub that sits a few feet beneath the slope of the roof. Pouring a pitcher of water over my head to rinse off makes me feel like I'm in an ancient Greek bath-house.

Some kind souls close to me have lent me a couple of AC units to help me contend with the lack of central air, and I just bought a larger Black and Decker window unit with a remote control for the bedroom. Going without a dishwasher is the difference making the most impact on my day to day life at the moment, as I tend to cook a lot, but I'm finding that there's something meditative about washing dishes by hand like my forebears. I've even procured a nice big block of Marseille Soap for the dishes — a one-kilogram block, green as the olive oil that it's made from, that comes with a little wire to help you cut off slices of the block to use in different places around the house.

[![A close-up of a packaged block of soap, reading: Marseille Soap, to cut, with olive oil.](/img/soap.webp "No garish perfumes will taint **my** dishes!")](/img/soap.webp)

## So I'm a porch person now.
Besides the 33% reduction in rent, there are some distinct benefits to living where I now do. For a start, the downstairs neighbors are great people. My new street is much quieter owing to the lessened vehicle traffic, and it's a pretty street with lots of trees and some truly beautiful gardening work in places.

Living on a street where the outdoors is somewhere you want to be is, needless to say, a big improvement in terms of quality of life. It's a short walk to the river, which is a lovely place to eat lunch, and I do like to ensure that the local ducks eat their fill of frozen peas. Speaking of lunch, there's a cafe  with at least one satisfying vegan option only a couple of doors down, and finally, there's a nice big porch at the front of the building, complete with ample furniture for sitting and observing the neighborhood. Dear reader, a month-in and I am already a fixture of the neighborhood alongside so many garden-gnomes and plastic flamingos. The porch is the perfect place to eat any meal, a great place to get to know your neighbors, and an easy way to spend plenty of time outdoors; the porch is where I want to be.

The apartment itself is not without its charms. There's a nice big room at the front that makes for a very comfortable study, with lots of space for working, playing my (muted) trombone, my bookcases and collection of aromatics, and even a solid wood high-top table that is now dedicated to incense-making. I have a large electric standing corner-desk that I raise and put my treadmill beneath to allow me to get some light exercise while I perform my day job; it was a trial fitting this all into the small room I had prior to the move. With everything in place the space feels cozy and well-appointed despite the features it lacks. All considered, I'm happy with the decision to move, even before reaping the benefits of a reduced monthly rent.

## Peer pressure
I finally caved to the fear of missing out and joined Instagram solely to participate in an incense makers' group where some friends from the incense community hang out and talk incense-making technicalities. A staunch anti-corporate-social-media fediverse user, I resent joining a platform that scrapes user content for AI training, let alone the flagrant data collection and privacy violations, but, hell, I figure I'll make an exception just this once and *only* use it for the group.
