---
layout: layouts/base.njk
eleventyNavigation:
  key: About
  order: 2
---
<article>
<h1>About me and my&nbsp;website.</h1>
<p class="page-block nodropcap">I’m a prolific vegan home cook, classical trombonist, incense maker, a <abbr title="Free/Libre Open Source Software">FLOSS</abbr> enthusiast, daily GNU/Linux user and unabashed <a href="https://kde.org/">KDE</a> stan, designer, programmer, music producer, print lover, and human with too many interests and too little time. This is my little corner of the internet where I talk about whatever I like without worrying about maintaining a ‘personal brand’, or constraining subject matter to topics which might help advance my career or establish me as a ‘thought leader’. I’m here to express myself and have fun writing about topics I enjoy. If you’d like to learn more about my professional accomplishments and work, I’ll link my professional website here when I get around to it.</p>

<a href="./colophon/">
	<button type="button">Colophon »</button>
</a>

<a href="../me/">
	<button type="button">Contact »</button>
</a>

<a href="./privacy/">
	<button type="button">Privacy »</button>
</a>

</article>
